Skip to main content
GET
/
providers
/
{org}
/
{name}
/
versions
List Provider Versions
curl --request GET \
  --url https://api.example.com/providers/{org}/{name}/versions
import requests

url = "https://api.example.com/providers/{org}/{name}/versions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/providers/{org}/{name}/versions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "prefix": "<string>",
    "name": "<string>",
    "version": "<string>",
    "runtime_version": "<string>",
    "canonical": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "wheel_url": "<string>",
    "wheel_sha256": "<string>",
    "package_name": "<string>",
    "entrypoint": [
      "<string>"
    ],
    "source_hash": "<string>",
    "build_id": "<string>",
    "schemas": [
      {}
    ],
    "changelog": "<string>",
    "status": "building",
    "published_at": "2023-11-07T05:31:56Z",
    "error_message": "<string>"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

org
string
required
name
string
required

Response

Successful Response

prefix
string
required
name
string
required
version
string
required
runtime_version
string
required
canonical
string
required
read-only

Slash-joined prefix/name canonical string of the owning provider.

Returns: Display form of the provider identity this version belongs to.

created_at
string<date-time>
updated_at
string<date-time>
wheel_url
string | null
wheel_sha256
string | null
Pattern: ^[0-9a-f]{64}$
package_name
string | null
Required string length: 1 - 200
entrypoint
string[] | null
source_hash
string | null
build_id
string | null
schemas
Schemas · object[] | null
changelog
string | null
status
enum<string>
default:building

Build/publish status for a provider version.

Available options:
building,
published,
failed,
yanked
published_at
string<date-time> | null
error_message
string | null